%define major 	2
%define libname	lib%{name}%{major}

Summary: 	Unix ODBC driver manager and database drivers
Name: 		unixODBC
Version: 	2.2.0
Release:	1mdk

Source: 	http://www.unixodbc.org/%{name}-%{version}.tar.bz2
Source2:	odbcinst.ini

Group: 		Databases
License: 	LGPL
URL: 		http://www.unixODBC.org
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires:	autoconf automake byacc flex gnome-libs-devel readline-devel libqt2-devel >= 2.3.1

%description
UnixODBC is a free/open and solution for ODBC. ODBC is an open
specifican for providing application developers with a predictable API
with which to access Data Sources. Data Sources include SQL Servers and
any Data Source with an ODBC Driver.


%package -n %{libname}
Summary:	Libraries unixODBC 
Group:		System/Libraries

%description -n %{libname}
unixODBC  libraries.


%package -n %{libname}-devel
Summary: 	Includes and static libraries for ODBC development
Group: 		Development/Other
Requires: 	%{libname} = %version-%release
Provides:	%{name}-devel lib%{name}-devel libodbc.so libodbcinst.so
Obsoletes:	%{name}-devel

%description -n %{libname}-devel
unixODBC aims to provide a complete ODBC solution for the Linux platform.
This package contains the include files and static libraries for development.


%package gui-qt
Summary: 	ODBC configurator, Data Source browser and ODBC test tool based on Qt
Group: 		Databases
Requires: 	%{name} = %version-%release

%description gui-qt
unixODBC aims to provide a complete ODBC solution for the Linux platform.
All programs are GPL.

This package contains two Qt based GUI programs for unixODBC: 
ODBCConfig and DataManager


%package gui-gtk
Summary: 	ODBC configurator based on GTK+ and GTK+ widget for gnome-db
Group:		Databases
Requires: 	%{name} = %version-%release

%description gui-gtk
unixODBC aims to provide a complete ODBC solution for the Linux platform.
All programs are GPL.

This package contains one GTK+ based GUI program for unixODBC: gODBCConfig


%prep

%setup -q
#%patch1 -p0

%build
%serverbuild

export QTDIR=/usr/lib/qt2
%configure --enable-static

%make


%install
rm -fr %buildroot

%makeinstall

install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}

# gODBCConfig must be built after installing the main unixODBC parts
cd gODBCConfig
./autogen.sh --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --with-odbc=$RPM_BUILD_ROOT%{_prefix}

# I don't know why this happens. -- Geoff
mv po/Makefile.in po/Makefile
%make
# ugly hack.
%makeinstall || true
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/gODBCConfig
for pixmap in ./pixmaps/*;do
   install -m 644 $pixmap $RPM_BUILD_ROOT%{_datadir}/pixmaps/gODBCConfig
done
cd ..


# Menu entries

install -d $RPM_BUILD_ROOT%{_menudir}

# ODBCConfig
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/unixODBC-gui-qt
?package(%{name}-gui-qt): \
needs="x11" \
section="Applications/Databases" \
longtitle="ODBCConfig" \
title="ODBCConfig" \
icon="databases_section.png" \
command="ODBCConfig"

?package(%{name}-gui-qt): \
needs="x11" \
section="Applications/Databases" \
longtitle="DataManager" \
title="DataManager" \
icon="databases_section.png" \
command="DataManager"

?package(%{name}-gui-qt): \
needs="x11" \
section="Applications/Databases" \
longtitle="ODBCtest" \
title="ODBCtest" \
icon="databases_section.png" \
command="odbctest"
EOF

# gODBCConfig
# Put capital G in title and longtitle to shut rpmlint warnings
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/unixODBC-gui-gtk
?package(%{name}-gui-gtk): \
needs="x11" \
section="Applications/Databases" \
longtitle="GODBCConfig" \
title="GODBCConfig" \
icon="databases_section.png" \
command="gODBCConfig" 
EOF

find doc -name Makefile\* -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT 


%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig

%postun -n %{libname}-devel -p /sbin/ldconfig


%post gui-qt
%{update_menus}

%postun gui-qt
%{clean_menus}

%post gui-gtk
%{update_menus}

%postun gui-gtk
%{clean_menus}


%files 
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
%config(noreplace) %verify(not md5 size mtime)  %{_sysconfdir}/odbc*.ini
%{_bindir}/dltest
%{_bindir}/isql
%{_bindir}/odbcinst

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc doc/
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_includedir}/*

%files gui-qt
%defattr(-, root, root)
%{_bindir}/DataManager
%{_bindir}/ODBCConfig
%{_bindir}/odbctest
%{_menudir}/unixODBC-gui-qt

%files gui-gtk 
%defattr(-, root, root)
%doc NEWS README AUTHORS
%{_bindir}/gODBCConfig
%{_menudir}/unixODBC-gui-gtk
%{_datadir}/pixmaps/*

%changelog
* Mon Feb 04 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.0-1mdk
- 2.2.0.

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Fix menu entries

* Mon Jan 07 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.1.1-1mdk
- 2.1.1.
- Re-provide Qt part of the package (qmake now optional for building).
- Removed Patch1 (nodriver patch).

* Fri Nov 30 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.1.0-1mdk
- 2.1.0.
- Remove patch 0 (unixODBC-2.0.8-protofix.patch)
- Provides the .so libraries (Sun jre needs it).

* Wed Nov 21 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.0.11-2mdk
- Fix stange-permission warning.

* Tue Nov 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.0.11-1mdk
- 2.0.11
- Remove initial txt driver installation.

* Wed Oct 10 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.0.8-8mdk
- Remove the Prodives on the .so libraries.
- Make rpmlint happier.

* Tue Sep 11 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.8-7mdk
- Fix menu entries
- Doesn't use ugly icons

* Tue Sep 11 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.0.8-6mdk
- Fixed menu entries.

* Sun Sep 09 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.0.8-5mdk
- Added little and large icon.

* Thu Sep 06 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.0.8-4mdk
- Fixed menu entries.

* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 2.0.8-3mdk
- BuildRequires:	byacc flex
- Removed BuildRequires: db1-devel (gnome-libs-devel provides this)
- Remove %%{_iconsdir} with gui-gtk and gui-qt packages, the icon is
  provided by the libunixODBC2 package.

* Wed Sep 05 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.0.8-2mdk
- Removed sources from gui packages.

* Mon Aug 27 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.0.8-1mdk
- 2.0.8.
- Added Distribution tag.
- s/Copyright/License.
- make rpmlint happy (gui-gtk & gui-qt later).

* Sun Jun 24 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.0.6-4mdk
- Apply patch to fix prototypes in code to match headers,
  which fixes build on Alpha and maybe IA64.

* Sun Jun 24 2001 Stefan van der Eijk <stefan@eijk.nu> 2.0.6-3mdk
- BuildRequires:	db1-devel
- BuildRequires:	gnome-libs-devel
- Remove BuildRequires:	XFree86-devel

* Tue May 15 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 2.0.6-2mdk
- make rpmlint happy

* Fri Apr 20 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.0.6-1mdk
- 2.0.6
- server macros

* Wed Mar 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0.4-3mdk
- Use QTDIR instead.
- Use %%make and not %%__make.
- Work around an ugly installation problem.
- Include the pixmaps for GODBCConfig.

* Tue Mar 13 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.0.4-2mdk
- removed unnecessary patch
- added --with-qt-dir=/usr/lib/qt2 in %configure 

* Wed Mar 07 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.0.4-1mdk
- new release
- added gODBCConfig GUI (GTK)
- added ODBCConfig  GUI (KDE2)
- added Datamanager GUI (KDE2)
- added ODBCTest    GUI (KDE2)
- many improvements 
- bump a new and shiny source into cooker ;PP

* Tue Jan 16 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0.3-1mdk
- bump a new and shiny source into cooker.

* Sat Nov 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.13-1mdk
- new and shiny source bumped into cooker.

* Fri Aug 25 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.8.12-1mdk
- updated release.

* Wed Aug 02 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.8.7-2mdk
- macroszifications
- BM
- Geoff <snailtalk@mandrakesoft.com> -- fix the doc kludge

* Thu Apr 20 2000 <ghibo@mandrakesoft.com> 1.8.7-1mdk
- updated version.

* Sat Apr 15 2000 <ghibo@mandrakesoft.com> 1.8.3-1mdk
- updated to new version.
- fixed group.

* Tue Oct 19 1999 <lenny@mandrakesoft.com>
- Specfile adaptation.
- First pasckage for Mandrake
